読者です 読者をやめる 読者になる 読者になる

Ruby1.9 + Rails2.5 マルチバイト文字列でエラー

MySql/Rubyがruby1.9のM17Nに対応していないため DBから取り出した文字列がすべて「ASCII-8BIT」になってしまいます。 そのため、マルチバイト文字と混在させると、下記のようなエラーが発生します。「incompatible character encodings: UTF-8 and ASCII-8B…